<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" >
	<xsl:output version="1.0" method="xml" indent="yes" encoding="UTF-8"/>

	<xsl:variable name="VOUCHER_DATE_ORIG">
		<xsl:value-of select="/DataDefinition/DataItemGroup[@itemId='HEADER']/*[@itemId='VOUCHER_DATE']/@value"/>
	</xsl:variable>
	<xsl:variable name="VOUCHER_DATE">
		<xsl:value-of select="concat(substring($VOUCHER_DATE_ORIG,1,4),'-',substring($VOUCHER_DATE_ORIG,6,2),'-',substring($VOUCHER_DATE_ORIG,9,2))"></xsl:value-of>
	</xsl:variable>

	<xsl:variable name="INVOICE_START_DATE_ORIG">
		<xsl:value-of select="/DataDefinition/DataItemGroup[@itemId='HEADER']/*[@itemId='INVOICING_PERIOD_START_DATE']/@value"/>
	</xsl:variable>
	<xsl:variable name="INVOICE_START_DATE">
		<xsl:value-of select="concat(substring($INVOICE_START_DATE_ORIG,1,4),'-',substring($INVOICE_START_DATE_ORIG,6,2),'-',substring($INVOICE_START_DATE_ORIG,9,2))"></xsl:value-of>
	</xsl:variable>

	<xsl:variable name="INVOICE_END_DATE_ORIG">
		<xsl:value-of select="/DataDefinition/DataItemGroup[@itemId='HEADER']/*[@itemId='INVOICING_PERIOD_END_DATE']/@value"/>
	</xsl:variable>
	<xsl:variable name="INVOICE_END_DATE">
		<xsl:value-of select="concat(substring($INVOICE_END_DATE_ORIG,1,4),'-',substring($INVOICE_END_DATE_ORIG,6,2),'-',substring($INVOICE_END_DATE_ORIG,9,2))"></xsl:value-of>
	</xsl:variable>

	<xsl:variable name="DELIVERY_DATE_ORIG">
		<xsl:value-of select="/DataDefinition/DataItemGroup[@itemId='HEADER']/*[@itemId='DELIVERY_DATE']/@value"/>
	</xsl:variable>
	<xsl:variable name="DELIVERY_DATE">
		<xsl:value-of select="concat(substring($DELIVERY_DATE_ORIG,1,4),'-',substring($DELIVERY_DATE_ORIG,6,2),'-',substring($DELIVERY_DATE_ORIG,9,2))"></xsl:value-of>
	</xsl:variable>

	<xsl:variable name="PAYMENT_TERMS_DUE_DATE_ORIG">
		<xsl:value-of select="/DataDefinition/DataItemGroup[@itemId='PAYMENT']/*[@itemId='PAYMENT_TERMS_DUE_DATE']/@value"/>
	</xsl:variable>
	<xsl:variable name="PAYMENT_TERMS_DUE_DATE">
		<xsl:value-of select="concat(substring($PAYMENT_TERMS_DUE_DATE_ORIG,1,4),'-',substring($PAYMENT_TERMS_DUE_DATE_ORIG,6,2),'-',substring($PAYMENT_TERMS_DUE_DATE_ORIG,9,2))"></xsl:value-of>
	</xsl:variable>

	<xsl:variable name="PRECEDING_INVOICE_REFERENCE_DATE_ORIG">
		<xsl:value-of select="/DataDefinition/DataItemGroup[@itemId='HEADER']/*[@itemId='PRECEDING_INVOICE_REFERENCE_DATE']/@value"/>
	</xsl:variable>
	<xsl:variable name="PRECEDING_INVOICE_REFERENCE_DATE">
		<xsl:value-of select="concat(substring($PRECEDING_INVOICE_REFERENCE_DATE_ORIG,1,4),'-',substring($PRECEDING_INVOICE_REFERENCE_DATE_ORIG,6,2),'-',substring($PRECEDING_INVOICE_REFERENCE_DATE_ORIG,9,2))"></xsl:value-of>
	</xsl:variable>

	<xsl:variable name="CURRENCY">
		<xsl:value-of select="/DataDefinition/DataItemGroup[@itemId='HEADER']/*[@itemId='CURRENCY']/@value"/>
	</xsl:variable>

	<xsl:variable name="SHIPPING_ADDRESS_LINE_ORIG">
		<xsl:value-of select="/DataDefinition/DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_LINE']/@value"/>
	</xsl:variable>

	<xsl:template match="/DataDefinition">
		<ubl:Invoice xmlns:ubl="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2"
					 xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"
					 xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"

					 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
					 xsi:schemaLocation="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2 http://docs.oasis-open.org/ubl/os-UBL-2.1/xsd/maindoc/UBL-Invoice-2.1.xsd">
			<cbc:CustomizationID>urn:cen.eu:en16931:2017#compliant#urn:xoev-de:kosit:standard:xrechnung_1.2</cbc:CustomizationID>
			<xsl:if test="DataItemGroup[@itemId='HEADER']/*[@itemId='VOUCHER_ID']/@value != ''">
				<cbc:ID>
					<xsl:value-of select="DataItemGroup[@itemId='HEADER']/*[@itemId='VOUCHER_ID']/@value"/>
				</cbc:ID>
			</xsl:if>
			<cbc:IssueDate>
				<xsl:value-of select="$VOUCHER_DATE"/>
			</cbc:IssueDate>
			<xsl:if test="$PAYMENT_TERMS_DUE_DATE_ORIG != ''">
				<cbc:DueDate>
					<xsl:value-of select="$PAYMENT_TERMS_DUE_DATE"/>
				</cbc:DueDate>
			</xsl:if>

			<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemChoice[@itemId='DOCUMENT_TYPE']/@value != ''">
				<cbc:InvoiceTypeCode>
					<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemChoice[@itemId='DOCUMENT_TYPE']/@value"/>
				</cbc:InvoiceTypeCode>
			</xsl:if>

			<xsl:if test="DataItemGroup[@itemId='HEADER']/*[@itemId='INVOICE_NOTE']/@value != ''">
				<cbc:Note>
					<xsl:value-of select="DataItemGroup[@itemId='HEADER']/*[@itemId='INVOICE_NOTE']/@value"/>
				</cbc:Note>
			</xsl:if>

			<cbc:DocumentCurrencyCode>
				<xsl:value-of select="$CURRENCY"/>
			</cbc:DocumentCurrencyCode>
			<cbc:TaxCurrencyCode>
				<xsl:value-of select="$CURRENCY"/>
			</cbc:TaxCurrencyCode>
			<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='ROUTING_ID']/@value != ''">
				<cbc:BuyerReference>
					<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='ROUTING_ID']/@value"/>
				</cbc:BuyerReference>
			</xsl:if>

			<xsl:if test="$INVOICE_START_DATE_ORIG != ''">
				<cac:InvoicePeriod>
					<cbc:StartDate>
						<xsl:value-of select="$INVOICE_START_DATE"/>
					</cbc:StartDate>
					<cbc:EndDate>
						<xsl:value-of select="$INVOICE_END_DATE"/>
					</cbc:EndDate>
				</cac:InvoicePeriod>

			</xsl:if>

			<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='BUYER_ORDER_ID']/@value != '' or DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='SALES_ORDER_REFERENCE_ID']/@value != ''">
				<cac:OrderReference>
					<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='BUYER_ORDER_ID']/@value != ''">
						<cbc:ID>
							<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='BUYER_ORDER_ID']/@value"/>
						</cbc:ID>
					</xsl:if>
					<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='SALES_ORDER_REFERENCE_ID']/@value != ''">
						<cbc:SalesOrderID>
							<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='SALES_ORDER_REFERENCE_ID']/@value"/>
						</cbc:SalesOrderID>
					</xsl:if>
				</cac:OrderReference>
			</xsl:if>

			<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='PRECEDING_INVOICE_REFERENCE_ID']/@value != ''">
				<cac:BillingReference>
					<cac:InvoiceDocumentReference>
						<cbc:ID>
							<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='PRECEDING_INVOICE_REFERENCE_ID']/@value"/>
						</cbc:ID>
						<xsl:if test="$PRECEDING_INVOICE_REFERENCE_DATE_ORIG != ''">
							<cbc:IssueDate>
								<xsl:value-of select="$PRECEDING_INVOICE_REFERENCE_DATE"/>
							</cbc:IssueDate>
						</xsl:if>
					</cac:InvoiceDocumentReference>
				</cac:BillingReference>
			</xsl:if>

			
			<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='DESPATCH_ADVICE_REFERENCE_ID']/@value != ''">
				<cac:DespatchDocumentReference>
					<cbc:ID>
						<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='DESPATCH_ADVICE_REFERENCE_ID']/@value"/>
					</cbc:ID>
				</cac:DespatchDocumentReference>
			</xsl:if>



			<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='TENDER_LOT_ID']/@value != ''">
				<cac:OriginatorDocumentReference>
					<cbc:ID>
						<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='TENDER_LOT_ID']/@value"/>
					</cbc:ID>
				</cac:OriginatorDocumentReference>
			</xsl:if>

			<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='CONTRACT_REFERENCE_ID']/@value != ''">
				<cac:ContractDocumentReference>
					<cbc:ID>
						<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='CONTRACT_REFERENCE_ID']/@value"/>
					</cbc:ID>
				</cac:ContractDocumentReference>
			</xsl:if>

			<xsl:for-each select="DataItemCollection[@itemId='ATTACH']/DataItem">
				<cac:AdditionalDocumentReference>
					<xsl:if test="DataItemString[@itemId='ATTACH_ID']/@value != ''">
						<cbc:ID>
							<xsl:value-of select="DataItemString[@itemId='ATTACH_ID']/@value"/>
						</cbc:ID>
					</xsl:if>

					<xsl:if test="DataItemString[@itemId='ATTACH_NAME']/@value != ''">
						<cbc:DocumentDescription>
							<xsl:value-of select="DataItemString[@itemId='ATTACH_NAME']/@value"/>
						</cbc:DocumentDescription>
					</xsl:if>

					<xsl:if test="DataItemFile[@itemId='ATTACH_FILE'] != ''">
						<cac:Attachment>
							<cbc:EmbeddedDocumentBinaryObject>
								<xsl:attribute name="mimeCode">
									<xsl:value-of select="DataItemFile[@itemId='ATTACH_FILE']/@mimeCode"/>
								</xsl:attribute>
								<xsl:attribute name="filename">
									<xsl:value-of select="DataItemFile[@itemId='ATTACH_FILE']/@filename"/>
								</xsl:attribute>

								<xsl:value-of select="DataItemFile[@itemId='ATTACH_FILE']"/>
							</cbc:EmbeddedDocumentBinaryObject>
						</cac:Attachment>
					</xsl:if>
				</cac:AdditionalDocumentReference>
			</xsl:for-each>

			<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='INVOICED_OBJECT_ID']/@value != ''">
				<cac:AdditionalDocumentReference>
					<cbc:ID>
						<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='INVOICED_OBJECT_ID']/@value"/>
					</cbc:ID>
				</cac:AdditionalDocumentReference>
			</xsl:if>

			<xsl:if test="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='PROJECT_REFERENCE_ID']/@value != ''">
				<cac:ProjectReference>
					<cbc:ID>
						<xsl:value-of select="DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='PROJECT_REFERENCE_ID']/@value"/>
					</cbc:ID>
				</cac:ProjectReference>
			</xsl:if>

			<cac:AccountingSupplierParty>
				<cac:Party>
					<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ID']/@value != ''">
						<cac:PartyIdentification>
							<cbc:ID>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ID']/@value"/>
							</cbc:ID>
						</cac:PartyIdentification>
					</xsl:if>
					<cac:PartyName>
						<cbc:Name>
							<xsl:choose>
								<xsl:when test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_TRADING_NAME']/@value != ''">
									<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_TRADING_NAME']/@value"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_NAME']/@value"/>
								</xsl:otherwise>
							</xsl:choose>
						</cbc:Name>
					</cac:PartyName>
					<cac:PostalAddress>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_LINE']/@value != ''">
							<cbc:StreetName>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_LINE']/@value"/>
							</cbc:StreetName>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_LINE2']/@value != ''">
							<cbc:AdditionalStreetName>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_LINE2']/@value"/>
							</cbc:AdditionalStreetName>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_CITY']/@value != ''">
							<cbc:CityName>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_CITY']/@value"/>
							</cbc:CityName>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_ZIP']/@value != ''">
							<cbc:PostalZone>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_ZIP']/@value"/>
							</cbc:PostalZone>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_LINE3']/@value != ''">
							<cac:AddressLine>
								<cbc:Line>
									<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_ADDRESS_LINE3']/@value"/>
								</cbc:Line>
							</cac:AddressLine>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemChoice[@itemId='SELLER_ADDRESS_COUNTRY']/@value != ''">
							<cac:Country>
								<cbc:IdentificationCode>
									<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemChoice[@itemId='SELLER_ADDRESS_COUNTRY']/@value"/>
								</cbc:IdentificationCode>
							</cac:Country>
						</xsl:if>
					</cac:PostalAddress>

					<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_TAX_ID']/@value != ''">
						<cac:PartyTaxScheme>
							<cbc:CompanyID>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_TAX_ID']/@value"/>
							</cbc:CompanyID>
							<cac:TaxScheme>
								<cbc:ID>VAT</cbc:ID>
							</cac:TaxScheme>
						</cac:PartyTaxScheme>
					</xsl:if>

					<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_TAX_REG_ID']/@value != ''">
						<cac:PartyTaxScheme>
							<cbc:CompanyID>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_TAX_REG_ID']/@value"/>
							</cbc:CompanyID>
							<cac:TaxScheme>
								<cbc:ID>FC</cbc:ID>
							</cac:TaxScheme>
						</cac:PartyTaxScheme>
					</xsl:if>

					<cac:PartyLegalEntity>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_NAME']/@value != ''">
							<cbc:RegistrationName>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_NAME']/@value"/>
							</cbc:RegistrationName>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_TAX_ID']/@value != ''">
							<cbc:CompanyID>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_TAX_ID']/@value"/>
							</cbc:CompanyID>
						</xsl:if>
					</cac:PartyLegalEntity>
					<cac:Contact>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_CONTACT_NAME']/@value != ''">
							<cbc:Name>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_CONTACT_NAME']/@value"/>
							</cbc:Name>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_CONTACT_PHONE']/@value != ''">
							<cbc:Telephone>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_CONTACT_PHONE']/@value"/>
							</cbc:Telephone>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_CONTACT_EMAIL']/@value != ''">
							<cbc:ElectronicMail>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_CONTACT_EMAIL']/@value"/>
							</cbc:ElectronicMail>
						</xsl:if>
					</cac:Contact>
				</cac:Party>
			</cac:AccountingSupplierParty>

			<cac:AccountingCustomerParty>
				<cac:Party>
					<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_ENDPOINT_ID']/@value != ''">
						<cbc:EndpointID schemeID="EM">
							<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_ENDPOINT_ID']/@value"/>
						</cbc:EndpointID>
					</xsl:if>
					<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_ID']/@value != ''">
						<cac:PartyIdentification>
							<cbc:ID>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_ID']/@value"/>
							</cbc:ID>
						</cac:PartyIdentification>
					</xsl:if>
					<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_TRADING_NAME']/@value != ''">
						<cac:PartyName>
							<cbc:Name>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_TRADING_NAME']/@value"/>
							</cbc:Name>
						</cac:PartyName>
					</xsl:if>
					<cac:PostalAddress>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_LINE']/@value != ''">
							<cbc:StreetName>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_LINE']/@value"/>
							</cbc:StreetName>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_LINE2']/@value != ''">
							<cbc:AdditionalStreetName>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_LINE2']/@value"/>
							</cbc:AdditionalStreetName>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_CITY']/@value != ''">
							<cbc:CityName>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_CITY']/@value"/>
							</cbc:CityName>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_ZIP']/@value != ''">
							<cbc:PostalZone>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_ZIP']/@value"/>
							</cbc:PostalZone>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_LINE3']/@value != ''">
							<cac:AddressLine>
								<cbc:Line>
									<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_ADDRESS_LINE3']/@value"/>
								</cbc:Line>
							</cac:AddressLine>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemChoice[@itemId='BUYER_ADDRESS_COUNTRY']/@value != ''">
							<cac:Country>
								<cbc:IdentificationCode>
									<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemChoice[@itemId='BUYER_ADDRESS_COUNTRY']/@value"/>
								</cbc:IdentificationCode>
							</cac:Country>
						</xsl:if>
					</cac:PostalAddress>

					<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_TAX_ID']/@value != ''">
						<cac:PartyTaxScheme>
							<cbc:CompanyID>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_TAX_ID']/@value"/>
							</cbc:CompanyID>
							<cac:TaxScheme>
								<cbc:ID>VAT</cbc:ID>
							</cac:TaxScheme>
						</cac:PartyTaxScheme>
					</xsl:if>

					<cac:PartyLegalEntity>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_NAME']/@value != ''">
							<cbc:RegistrationName>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='BUYER_ADDRESS']/DataItemString[@itemId='BUYER_NAME']/@value"/>
							</cbc:RegistrationName>
						</xsl:if>
					</cac:PartyLegalEntity>
					<cac:Contact>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_CONTACT_NAME']/@value != ''">
							<cbc:Name>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_CONTACT_NAME']/@value"/>
							</cbc:Name>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_CONTACT_PHONE']/@value != ''">
							<cbc:Telephone>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_CONTACT_PHONE']/@value"/>
							</cbc:Telephone>
						</xsl:if>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_CONTACT_EMAIL']/@value != ''">
							<cbc:ElectronicMail>
								<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemString[@itemId='BUYER_CONTACT_EMAIL']/@value"/>
							</cbc:ElectronicMail>
						</xsl:if>
					</cac:Contact>
				</cac:Party>
			</cac:AccountingCustomerParty>

			<cac:Delivery>
				<cbc:ActualDeliveryDate>
					<xsl:value-of select="$DELIVERY_DATE"/>
				</cbc:ActualDeliveryDate>

				<xsl:if test="$SHIPPING_ADDRESS_LINE_ORIG != ''">
					<cac:DeliveryLocation>
						<cac:Address>
							<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_LINE']/@value != ''">
								<cbc:StreetName>
									<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_LINE']/@value"/>
								</cbc:StreetName>
							</xsl:if>
							<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_LINE2']/@value != ''">
								<cbc:AdditionalStreetName>
									<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_LINE2']/@value"/>
								</cbc:AdditionalStreetName>
							</xsl:if>
							<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_CITY']/@value != ''">
								<cbc:CityName>
									<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_CITY']/@value"/>
								</cbc:CityName>
							</xsl:if>
							<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_ZIP']/@value != ''">
								<cbc:PostalZone>
									<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_ZIP']/@value"/>
								</cbc:PostalZone>
							</xsl:if>
							<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_LINE3']/@value != ''">
								<cac:AddressLine>
									<cbc:Line>
										<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_LINE3']/@value"/>
									</cbc:Line>
								</cac:AddressLine>
							</xsl:if>
							<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemChoice[@itemId='SHIPPING_ADDRESS_COUNTRY']/@value != ''">
								<cac:Country>
									<cbc:IdentificationCode>
										<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemChoice[@itemId='SHIPPING_ADDRESS_COUNTRY']/@value"/>
									</cbc:IdentificationCode>
								</cac:Country>
							</xsl:if>
						</cac:Address>
					</cac:DeliveryLocation>
					<cac:DeliveryParty>
						<xsl:if test="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_NAME']/@value != ''">
							<cac:PartyName>
								<cbc:Name>
									<xsl:value-of select="DataItemGroup[@itemId='BUYER']/DataItemGroup[@itemId='SHIPPING_ADDRESS']/DataItemString[@itemId='SHIPPING_ADDRESS_NAME']/@value"/>
								</cbc:Name>
							</cac:PartyName>
						</xsl:if>
					</cac:DeliveryParty>
				</xsl:if>
			</cac:Delivery>

			<cac:PaymentMeans>
				<cbc:PaymentMeansCode>
					<xsl:attribute name="name">
						<xsl:value-of select="DataItemGroup[@itemId='PAYMENT']/DataItemString[@itemId='PAYMENT_MEANS_TYPE_TEXT']/@value"/>
					</xsl:attribute>
					<xsl:value-of select="DataItemGroup[@itemId='PAYMENT']/DataItemChoice[@itemId='PAYMENT_MEANS_TYPE_CODE']/@value"/>
				</cbc:PaymentMeansCode>
				<xsl:if test="DataItemGroup[@itemId='PAYMENT']/DataItemString[@itemId='PAYMENT_REFERENCE']/@value != ''">
					<cbc:PaymentID>
						<xsl:value-of select="DataItemGroup[@itemId='PAYMENT']/DataItemString[@itemId='PAYMENT_REFERENCE']/@value"/>
					</cbc:PaymentID>
				</xsl:if>
				<cac:PayeeFinancialAccount>
					<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_IBAN']/@value != ''">
						<cbc:ID>
							<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_IBAN']/@value"/>
						</cbc:ID>
					</xsl:if>
					<cbc:Name>
						<xsl:choose>
							<xsl:when test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_PAYMENT_ACCOUNT_NAME']/@value != ''">
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_PAYMENT_ACCOUNT_NAME']/@value"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_NAME']/@value"/>
							</xsl:otherwise>
						</xsl:choose>
					</cbc:Name>

					<xsl:if test="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_BIC']/@value != ''">
						<cac:FinancialInstitutionBranch>
							<cbc:ID>
								<xsl:value-of select="DataItemGroup[@itemId='SELLER']/DataItemString[@itemId='SELLER_BIC']/@value"/>
							</cbc:ID>
						</cac:FinancialInstitutionBranch>
					</xsl:if>

				</cac:PayeeFinancialAccount>
			</cac:PaymentMeans>

			<cac:PaymentTerms>

				<xsl:choose>

					<xsl:when test="DataItemGroup[@itemId='PAYMENT']/DataItemString[@itemId='PAYMENT_TERMS_DESCRIPTION']/@value != '' and count(DataItemGroup[@itemId='PAYMENT']/DataItemCollection[@itemId='PAYMENT_TERMS_TABLE']/*) = 0 " >
						<cbc:Note>
							<xsl:value-of select="DataItemGroup[@itemId='PAYMENT']/DataItemString[@itemId='PAYMENT_TERMS_DESCRIPTION']/@value"/>
						</cbc:Note>
					</xsl:when>

					<xsl:when test="count(DataItemGroup[@itemId='PAYMENT']/DataItemCollection[@itemId='PAYMENT_TERMS_TABLE']/*)&gt;0">

						<cbc:Note>
							<xsl:for-each select="DataItemGroup[@itemId='PAYMENT']/DataItemCollection[@itemId='PAYMENT_TERMS_TABLE']/DataItem">#SKONTO#TAGE=<xsl:value-of select="DataItemNumeric[@itemId='PAYMENT_TERMS_TABLE_DAYS']/@value"/>#PROZENT=<xsl:value-of select="format-number(DataItemNumeric[@itemId='PAYMENT_TERMS_TABLE_PERCENT']/@value, '0.00')"/>#<xsl:text>&#xa;</xsl:text></xsl:for-each>
						</cbc:Note>
					</xsl:when>
		
				</xsl:choose>

				
			</cac:PaymentTerms>

			<xsl:for-each select="DataItemCollection[@itemId='ALLOWANCE_CHARGE']/DataItem">

				<cac:AllowanceCharge>
					<cbc:ChargeIndicator>
						<xsl:if test="DataItemChoice[@itemId='ALLOWANCE_CHARGE_TYPE']/@value = 'ALLOWANCE'">false</xsl:if>
						<xsl:if test="DataItemChoice[@itemId='ALLOWANCE_CHARGE_TYPE']/@value = 'CHARGE'">true</xsl:if>
					</cbc:ChargeIndicator>
					<xsl:if test="DataItemString[@itemId='ALLOWANCE_CHARGE_REASON']/@value != ''">
						<cbc:AllowanceChargeReason>
							<xsl:value-of select="DataItemString[@itemId='ALLOWANCE_CHARGE_REASON']/@value"/>
						</cbc:AllowanceChargeReason>
					</xsl:if>
					<cbc:Amount>
						<xsl:attribute name="currencyID">
							<xsl:value-of select="$CURRENCY"/>
						</xsl:attribute>
						<xsl:value-of select="format-number(DataItemNumeric[@itemId='ALLOWANCE_CHARGE_AMOUNT']/@value, '0.00')"/>
					</cbc:Amount>
					<cac:TaxCategory>
						<xsl:if test="DataItemChoice[@itemId='ALLOWANCE_CHARGE_VAT_CATEGORY']/@value != ''">
							<cbc:ID>
								<xsl:value-of select="DataItemChoice[@itemId='ALLOWANCE_CHARGE_VAT_CATEGORY']/@value"/>
							</cbc:ID>
						</xsl:if>
						<cbc:Percent>
							<xsl:value-of select="format-number(DataItemNumeric[@itemId='ALLOWANCE_CHARGE_VAT_PERCENT']/@value, '0.00')"/>
						</cbc:Percent>
						<cac:TaxScheme>
							<cbc:ID>VAT</cbc:ID>
						</cac:TaxScheme>
					</cac:TaxCategory>

				</cac:AllowanceCharge>

			</xsl:for-each>

			<cac:TaxTotal>
				<cbc:TaxAmount>
					<xsl:attribute name="currencyID">
						<xsl:value-of select="$CURRENCY"/>
					</xsl:attribute>
					<xsl:value-of select="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='TAX_AMOUNT']/@value, '0.00')"/>
				</cbc:TaxAmount>
				<xsl:for-each select="DataItemCollection[@itemId='VAT']/DataItem">
					<cac:TaxSubtotal>
						<cbc:TaxableAmount>
							<xsl:attribute name="currencyID">
								<xsl:value-of select="$CURRENCY"/>
							</xsl:attribute>
							<xsl:value-of select="format-number(DataItemNumeric[@itemId='BASIS_AMOUNT']/@value, '0.00')"/>
						</cbc:TaxableAmount>
						<cbc:TaxAmount>
							<xsl:attribute name="currencyID">
								<xsl:value-of select="$CURRENCY"/>
							</xsl:attribute>
							<xsl:value-of select="format-number(DataItemNumeric[@itemId='VAT_AMOUNT']/@value, '0.00')"/>
						</cbc:TaxAmount>
						<cac:TaxCategory>
							<xsl:if test="DataItemChoice[@itemId='VAT_CATEGORY']/@value != ''">
								<cbc:ID>
									<xsl:value-of select="DataItemChoice[@itemId='VAT_CATEGORY']/@value"/>
								</cbc:ID>
							</xsl:if>
							<cbc:Percent>
								<xsl:value-of select="format-number(DataItemNumeric[@itemId='VAT_PERCENT']/@value, '0.00')"/>
							</cbc:Percent>

							<xsl:if test="format-number(DataItemNumeric[@itemId='VAT_PERCENT']/@value, '0.00') = '0.00' and DataItemChoice[@itemId='VAT_CATEGORY']/@value != 'Z'">
								<xsl:if test="/DataDefinition/DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='VAT_EXEPT_REASON_TEXT']/@value != ''">
									<cbc:TaxExemptionReason>
										<xsl:value-of select="/DataDefinition/DataItemGroup[@itemId='HEADER']/DataItemString[@itemId='VAT_EXEPT_REASON_TEXT']/@value"/>
									</cbc:TaxExemptionReason>
								</xsl:if>
							</xsl:if>

							<cac:TaxScheme>
								<cbc:ID>VAT</cbc:ID>
							</cac:TaxScheme>
						</cac:TaxCategory>
					</cac:TaxSubtotal>
				</xsl:for-each>
			</cac:TaxTotal>

			<cac:LegalMonetaryTotal>
				<cbc:LineExtensionAmount>
					<xsl:attribute name="currencyID">
						<xsl:value-of select="$CURRENCY"/>
					</xsl:attribute>
					<xsl:value-of select="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='LINE_TOTAL_AMOUNT']/@value, '0.00')"/>
				</cbc:LineExtensionAmount>
				<cbc:TaxExclusiveAmount>
					<xsl:attribute name="currencyID">
						<xsl:value-of select="$CURRENCY"/>
					</xsl:attribute>
					<xsl:value-of select="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='NET_AMOUNT']/@value, '0.00')"/>
				</cbc:TaxExclusiveAmount>
				<cbc:TaxInclusiveAmount>
					<xsl:attribute name="currencyID">
						<xsl:value-of select="$CURRENCY"/>
					</xsl:attribute>
					<xsl:value-of select="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='GROSS_AMOUNT']/@value, '0.00')"/>
				</cbc:TaxInclusiveAmount>

				<cbc:AllowanceTotalAmount>
					<xsl:attribute name="currencyID">
						<xsl:value-of select="$CURRENCY"/>
					</xsl:attribute>
					<xsl:value-of select="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='ALLOWANCE_AMOUNT']/@value, '0.00')"/>
				</cbc:AllowanceTotalAmount>

				<cbc:ChargeTotalAmount>
					<xsl:attribute name="currencyID">
						<xsl:value-of select="$CURRENCY"/>
					</xsl:attribute>
					<xsl:value-of select="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='CHARGE_AMOUNT']/@value, '0.00')"/>
				</cbc:ChargeTotalAmount>

				<xsl:if test="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='ROUNDING_AMOUNT']/@value, '0.00') != 'NaN' and format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='ROUNDING_AMOUNT']/@value, '0.00') != '0.00'">
					<cbc:PayableRoundingAmount>
						<xsl:attribute name="currencyID">
							<xsl:value-of select="$CURRENCY"/>
						</xsl:attribute>
						<xsl:value-of select="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='ROUNDING_AMOUNT']/@value, '0.00')"/>
					</cbc:PayableRoundingAmount>
				</xsl:if>

				<cbc:PrepaidAmount>
					<xsl:attribute name="currencyID">
						<xsl:value-of select="$CURRENCY"/>
					</xsl:attribute>
					<xsl:value-of select="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='PREPAID_AMOUNT']/@value, '0.00')"/>
				</cbc:PrepaidAmount>

				<cbc:PayableAmount>
					<xsl:attribute name="currencyID">
						<xsl:value-of select="$CURRENCY"/>
					</xsl:attribute>
					<xsl:value-of select="format-number(DataItemGroup[@itemId='SUM']/DataItemNumeric[@itemId='DUE_PAYABLE_AMOUNT']/@value, '0.00')"/>
				</cbc:PayableAmount>
			</cac:LegalMonetaryTotal>

			<xsl:for-each select="DataItemCollection[@itemId='ITEM_DETAILS']/DataItem">
				<cac:InvoiceLine>
					<xsl:if test="DataItemString[@itemId='ITEM_LINE_ID']/@value != ''">
						<cbc:ID>
							<xsl:value-of select="DataItemString[@itemId='ITEM_LINE_ID']/@value"/>
						</cbc:ID>
					</xsl:if>
					<xsl:if test="DataItemString[@itemId='ITEM_NOTE']/@value != ''">
						<cbc:Note>
							<xsl:value-of select="DataItemString[@itemId='ITEM_NOTE']/@value"/>
						</cbc:Note>
					</xsl:if>
					<cbc:InvoicedQuantity>
						<xsl:attribute name="unitCode">
							<xsl:value-of select="DataItemChoice[@itemId='ITEM_UNIT']/@value"/>
						</xsl:attribute>
						<xsl:value-of select="format-number(DataItemNumeric[@itemId='ITEM_QUANTITY']/@value, '0.0000')"/>
					</cbc:InvoicedQuantity>
					<cbc:LineExtensionAmount>
						<xsl:attribute name="currencyID">
							<xsl:value-of select="$CURRENCY"/>
						</xsl:attribute>
						<xsl:value-of select="format-number(DataItemNumeric[@itemId='ITEM_TOTAL_AMOUNT']/@value, '0.00')"/>
					</cbc:LineExtensionAmount>

					<xsl:variable name="INVOICE_LINE_START_DATE_ORIG">
						<xsl:value-of select="DataItemDate[@itemId='ITEM_PERIOD_START_DATE']/@value"/>
					</xsl:variable>
					<xsl:variable name="INVOICE_LINE_START_DAT">
						<xsl:value-of select="concat(substring($INVOICE_LINE_START_DATE_ORIG,1,4),'-',substring($INVOICE_LINE_START_DATE_ORIG,6,2),'-',substring($INVOICE_LINE_START_DATE_ORIG,9,2))"></xsl:value-of>
					</xsl:variable>

					<xsl:variable name="INVOICE_LINE_END_DATE_ORIG">
						<xsl:value-of select="DataItemDate[@itemId='ITEM_PERIOD_END_DATE']/@value"/>
					</xsl:variable>
					<xsl:variable name="INVOICE_LINE_END_DATE">
						<xsl:value-of select="concat(substring($INVOICE_LINE_END_DATE_ORIG,1,4),'-',substring($INVOICE_LINE_END_DATE_ORIG,6,2),'-',substring($INVOICE_LINE_END_DATE_ORIG,9,2))"></xsl:value-of>
					</xsl:variable>

					<xsl:if test="$INVOICE_LINE_START_DATE_ORIG != ''">

						<cac:InvoicePeriod>
							<cbc:StartDate>
								<xsl:value-of select="$INVOICE_LINE_START_DAT"/>
							</cbc:StartDate>
							<cbc:EndDate>
								<xsl:value-of select="$INVOICE_LINE_END_DATE"/>
							</cbc:EndDate>
						</cac:InvoicePeriod>

					</xsl:if>

					<xsl:if test="DataItemString[@itemId='REFERENCED_PURCHASE_ORDER_LINE_ID']/@value != ''">
						<cac:OrderLineReference>
							<cbc:LineID>
								<xsl:value-of select="DataItemString[@itemId='REFERENCED_PURCHASE_ORDER_LINE_ID']/@value"/>
							</cbc:LineID>
						</cac:OrderLineReference>
					</xsl:if>

					<xsl:if test="DataItemString[@itemId='ITEM_OBJECT_IDENTIFIER']/@value != ''">
						<cac:DocumentReference>
							<cbc:ID>
								<xsl:value-of select="DataItemString[@itemId='ITEM_OBJECT_IDENTIFIER']/@value"/>
							</cbc:ID>
							<cbc:DocumentTypeCode>130</cbc:DocumentTypeCode>
						</cac:DocumentReference>
					</xsl:if>

					<cac:Item>
						<xsl:if test="DataItemString[@itemId='ITEM_NAME']/@value != ''">
							<cbc:Name>
								<xsl:value-of select="DataItemString[@itemId='ITEM_NAME']/@value"/>
							</cbc:Name>
						</xsl:if>

						<xsl:if test="DataItemString[@itemId='ITEM_BUYER_ID']/@value != ''">
							<cac:BuyersItemIdentification>
								<cbc:ID>
									<xsl:value-of select="DataItemString[@itemId='ITEM_BUYER_ID']/@value"/>
								</cbc:ID>
							</cac:BuyersItemIdentification>
						</xsl:if>

						<xsl:if test="DataItemString[@itemId='ITEM_SELLER_ID']/@value != ''">
							<cac:SellersItemIdentification>
								<cbc:ID>
									<xsl:value-of select="DataItemString[@itemId='ITEM_SELLER_ID']/@value"/>
								</cbc:ID>
							</cac:SellersItemIdentification>
						</xsl:if>

						<cac:ClassifiedTaxCategory>
							<xsl:if test="DataItemChoice[@itemId='ITEM_VAT_CATEGORY']/@value != ''">
								<cbc:ID>
									<xsl:value-of select="DataItemChoice[@itemId='ITEM_VAT_CATEGORY']/@value"/>
								</cbc:ID>
							</xsl:if>
							<cbc:Percent>
								<xsl:value-of select="format-number(DataItemNumeric[@itemId='ITEM_VAT_PERCENT']/@value, '0.00')"/>
							</cbc:Percent>
							<cac:TaxScheme>
								<cbc:ID>VAT</cbc:ID>
							</cac:TaxScheme>
						</cac:ClassifiedTaxCategory>
					</cac:Item>
					<cac:Price>
						<cbc:PriceAmount>
							<xsl:attribute name="currencyID">
								<xsl:value-of select="$CURRENCY"/>
							</xsl:attribute>
							<xsl:choose>
								<xsl:when test="DataItemNumeric[@itemId='ITEM_NET_PRICE']/@value != ''">
									<xsl:value-of select="format-number(DataItemNumeric[@itemId='ITEM_NET_PRICE']/@value, '0.0000')"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="format-number(DataItemNumeric[@itemId='ITEM_GROSS_PRICE']/@value, '0.0000')"/>
								</xsl:otherwise>
							</xsl:choose>
						</cbc:PriceAmount>
						<xsl:if test="format-number(DataItemNumeric[@itemId='ITEM_PRICE_BASE_QUANTITY']/@value, '0.0000') != 'NaN'">
							<cbc:BaseQuantity>
								<xsl:value-of select="format-number(DataItemNumeric[@itemId='ITEM_PRICE_BASE_QUANTITY']/@value, '0.00')"/>
							</cbc:BaseQuantity>
						</xsl:if>
						<xsl:if test="DataItemNumeric[@itemId='ITEM_PRICE_DISCOUNT']/@value != ''">
							<cac:AllowanceCharge>
								<cbc:ChargeIndicator>false</cbc:ChargeIndicator>
								<cbc:Amount>
									<xsl:attribute name="currencyID">
										<xsl:value-of select="$CURRENCY"/>
									</xsl:attribute>
									<xsl:value-of select="format-number(DataItemNumeric[@itemId='ITEM_PRICE_DISCOUNT']/@value, '0.0000')"/>
								</cbc:Amount>
								<cbc:BaseAmount>
									<xsl:attribute name="currencyID">
										<xsl:value-of select="$CURRENCY"/>
									</xsl:attribute>
									<xsl:value-of select="format-number(DataItemNumeric[@itemId='ITEM_GROSS_PRICE']/@value, '0.0000')"/>
								</cbc:BaseAmount>
							</cac:AllowanceCharge>
						</xsl:if>
					</cac:Price>

				</cac:InvoiceLine>
			</xsl:for-each>
		</ubl:Invoice>
	</xsl:template>
</xsl:stylesheet>